com.independentsoft.exchange

## Enum MessageTrackingReportTemplate

- java.lang.Object
- - java.lang.Enum<MessageTrackingReportTemplate>
  - - com.independentsoft.exchange.MessageTrackingReportTemplate

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageTrackingReportTemplate>

      public enum MessageTrackingReportTemplate
      extends java.lang.Enum<MessageTrackingReportTemplate>

  Represents the type of report to get.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RECIPIENT_PATH` Specifies that for a single recipient, the report will display a full history of the events that occurred.
    `SUMMARY` Specifies that the report will display all the recipients of the message and the delivery status of the message to each recipient.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageTrackingReportTemplate` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageTrackingReportTemplate[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUMMARY

          public static final MessageTrackingReportTemplate SUMMARY

      Specifies that the report will display all the recipients of the message and the delivery status of the message to each recipient.

    - #### RECIPIENT_PATH

          public static final MessageTrackingReportTemplate RECIPIENT_PATH

      Specifies that for a single recipient, the report will display a full history of the events that occurred.

  - ### Method Detail

    - #### values

          public static MessageTrackingReportTemplate[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageTrackingReportTemplate c : MessageTrackingReportTemplate.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageTrackingReportTemplate valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null